package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFHH1Data {

    private Map<String, Object> params;
    
    public MWFHH1Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsTyptransakce() {
        return (String) params.get("RS_TYPTRANSAKCE");
    }

    public String rsZdrojtransakce() {
        return (String) params.get("RS_ZDROJTRANSAKCE");
    }

    public String rsStatusodmitnutetransakce() {
        return (String) params.get("RS_STATUSODMITNUTETRANSAKCE");
    }

    public String rsPriznakpseudotransakce() {
        return (String) params.get("RS_PRIZNAKPSEUDOTRANSAKCE");
    }

    public java.util.Date rsDatumodmitnutitransakce() {
        return (java.util.Date) params.get("RS_DATUMODMITNUTITRANSAKCE");
    }

    public String rsExtduvododmitnuti() {
        return (String) params.get("RS_EXTDUVODODMITNUTI");
    }

    public Long rsObchodnimisto() {
        return (Long) params.get("RS_OBCHODNIMISTO");
    }

    public String rsClearingovykodtransakce() {
        return (String) params.get("RS_CLEARINGOVYKODTRANSAKCE");
    }

    public String rsChybovystatustransakce() {
        return (String) params.get("RS_CHYBOVYSTATUSTRANSAKCE");
    }

    public java.util.Date rsDatumsplatnostitransakce() {
        return (java.util.Date) params.get("RS_DATUMSPLATNOSTITRANSAKCE");
    }

    public String rsPredcisliuctu() {
        return (String) params.get("RS_PREDCISLIUCTU");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public String rsPriznakdbcr() {
        return (String) params.get("RS_PRIZNAKDBCR");
    }

    public String rsProtistranapredcisli() {
        return (String) params.get("RS_PROTISTRANAPREDCISLI");
    }

    public String rsProtistranacislouctu() {
        return (String) params.get("RS_PROTISTRANACISLOUCTU");
    }

    public String rsProtistranabanka() {
        return (String) params.get("RS_PROTISTRANABANKA");
    }

    public Long rsProtistranaaplikace() {
        return (Long) params.get("RS_PROTISTRANAAPLIKACE");
    }

    public String rsProtistrananazevuctu() {
        return (String) params.get("RS_PROTISTRANANAZEVUCTU");
    }

    public Double rsCastkatransakce() {
        return (Double) params.get("RS_CASTKATRANSAKCE");
    }

    public String rsKodmeny() {
        return (String) params.get("RS_KODMENY");
    }

    public String rsUzivatelzadavajici() {
        return (String) params.get("RS_UZIVATELZADAVAJICI");
    }

    public String rsUzivatelverifikujici() {
        return (String) params.get("RS_UZIVATELVERIFIKUJICI");
    }

    public String rsIdtransakce() {
        return (String) params.get("RS_IDTRANSAKCE");
    }

    public String rsKonstatnisymbol() {
        return (String) params.get("RS_KONSTATNISYMBOL");
    }

    public String rsVariabilnisymbol() {
        return (String) params.get("RS_VARIABILNISYMBOL");
    }

    public String rsSpecifickysymbol() {
        return (String) params.get("RS_SPECIFICKYSYMBOL");
    }

    public String rsZpravadb1() {
        return (String) params.get("RS_ZPRAVADB1");
    }

    public String rsZpravadb2() {
        return (String) params.get("RS_ZPRAVADB2");
    }

    public String rsZpravadb3() {
        return (String) params.get("RS_ZPRAVADB3");
    }

    public String rsZpravadb4() {
        return (String) params.get("RS_ZPRAVADB4");
    }

    public String rsZpravacr1() {
        return (String) params.get("RS_ZPRAVACR1");
    }

    public String rsZpravacr2() {
        return (String) params.get("RS_ZPRAVACR2");
    }

    public String rsZpravacr3() {
        return (String) params.get("RS_ZPRAVACR3");
    }

    public String rsZpravacr4() {
        return (String) params.get("RS_ZPRAVACR4");
    }

    public String rsAvpole1() {
        return (String) params.get("RS_AVPOLE1");
    }

    public String rsAvpole2() {
        return (String) params.get("RS_AVPOLE2");
    }

    public String rsAvpole3() {
        return (String) params.get("RS_AVPOLE3");
    }

    public String rsAvpole4() {
        return (String) params.get("RS_AVPOLE4");
    }

    public String rsZpravacrspojena() {
        return (String) params.get("RS_ZPRAVACRSPOJENA");
    }

    public String rsAvpolespojene() {
        return (String) params.get("RS_AVPOLESPOJENE");
    }

    public String rsZpravadbspojena() {
        return (String) params.get("RS_ZPRAVADBSPOJENA");
    }

    public String rsCislouctuispredcislim() {
        return (String) params.get("RS_CISLOUCTUISPREDCISLIM");
    }

    public String rsIdentifikatortyptransakce() {
        return (String) params.get("RS_IDENTIFIKATORTYPTRANSAKCE");
    } 

}
